/* http://meyerweb.com/eric/tools/css/reset/ 
	v2.0 | 20110126
	License: none (public domain)
*/

a,abbr,acronym,address,applet,article,aside,audio,b,big,blockquote,body,canvas,caption,center,cite,code,dd,del,details,dfn,div,dl,dt,em,embed,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,header,hgroup,html,i,iframe,img,ins,kbd,label,legend,li,mark,menu,nav,object,ol,output,p,pre,q,ruby,s,samp,section,small,span,strike,strong,sub,summary,sup,table,tbody,td,tfoot,th,thead,time,tr,tt,u,ul,var,video{margin:0;padding:0;border:0;font-size:100%;font:inherit;vertical-align:baseline}article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block}body{line-height:1}ol,ul{list-style:none}blockquote,q{quotes:none}blockquote:after,blockquote:before,q:after,q:before{content:'';content:none}table{border-collapse:collapse;border-spacing:0}

/* Backslash */

html {
	background-color: white;
}

body { 
	font-size: 14px;
	font-family: 'IBM Plex Mono', monospace;
	line-height: 1.5;
	color: black;
}

h1,
h2,
h3 { 
	text-transform: uppercase;
}

a {
	border-bottom: 1px solid rgba(0, 0, 255, .33);
	text-decoration: none;
	color: blue;
}

a:hover {
	border-bottom-color: rgba(0, 0, 255, 1);
}

a.img { border-bottom: none; }
a.img img { border: 1px solid rgba(0, 0, 255, .33); }
a.img:hover img { border-color: rgba(0, 0, 255, 1); }

.quiet a, a.quiet, a .quiet { border-bottom-color: rgba(128, 128, 128, 0.33); }
.quiet a:hover, a.quiet:hover, a .quiet:hover { border-bottom-color: rgba(128, 128, 128, 1); }

.silent a, a.silent, a .silent { border-bottom-color: rgba(211, 211, 211, 0.33); }
.silent a:hover, a.silent:hover, a .silent:hover { border-bottom-color: rgba(211, 211, 211, 1); }

.monotone a, a.monotone, a .monotone { border-bottom-color: rgba(0, 0, 0, 0.33); }
.monotone a:hover, a.monotone:hover, a .monotone:hover { border-bottom-color: rgba(0, 0, 0, 1); }

.inherit a, a.inherit, a .inherit {
	color: inherit;
	border-bottom-color: inherit;
}

em, .em { font-style: italic; }
strong, .strong { font-weight: bold; }
mark, .mark { background-color: #FCEA2B; }

hr::before {
	content: "************************************************************************";
	color: lightgrey;
	white-space: nowrap;
}

hr.dashes::before,
hr.hyphens::before { content: "------------------------------------------------------------------------"; }
hr.asterisks::before { content: "************************************************************************"; }
hr.underscores::before { content: "________________________________________________________________________"; }

hr {
	border: 0;
	margin: 0;
}

.emoji {
	height: 21px;
	vertical-align: top;
}

ol {
	list-style-type: decimal;
	list-style-position: outside;
}

ol li {
	margin-left: 50px;
	padding-left: 20px;
	padding-right: 20px;
	position: relative;
	max-width: 605px;
}

ol li::marker {
	color: #ccc;
}

ol li::before {
	background-color: #eee;
	content: "";
	position: absolute;
	left: -50px;
	width: 50px;
	top: 0;
	bottom: 0;
	z-index: -1;
}

ol li.codeblock {
	background-color: #2C2D28;
	color: white;
	white-space: pre-wrap;
	max-width: none;
}

ol li.codeblock::marker {
	color: #666;
}

ol li.codeblock::before {
	background-color: #2C2D28;
}

code,
.code {
	background-color: #eee;
	padding: 0 5px;
	border-radius: 3px;
}

img {
	max-width: 100%;
}

.dot::before {
	content: "\00b7";
	color: lightgrey;
}

.indent::before,
.tab::before {
	content: "→   ";
	color: lightgrey;
	white-space: pre;
}

blockquote {
	padding: 0 10px 0 10px;
	background-color: #eee;
	white-space: pre-wrap;
	font-style: italic;
}

blockquote.first {
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}

blockquote.last {
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
}

blockquote.quiet,
blockquote .quiet,
blockquote.silent,
blockquote .silent,
blockquote .tab::before { color: #B399C8; }

.curl::before { content: "$ "; color: #B399C8; }

pre, .pre { white-space: pre; }

.monotone { color: black; }
.quiet { color: grey; }
.silent { color: lightgrey; }
.quiet a, .silent a { color: inherit; }

.blue { color: #61B2E4; }
.red { color: #D22F27; }
.green { color: #5C9E31; }
.yellow { color: #F1B31C; }
.pink { color: #F67494; }
.purple { color: #8967AA; }
.orange { color: #E27022; }
.brown { color: #6A462F; }

.nowrap { white-space: nowrap; }
img.block { display: block; }

.lowercase { text-transform: lowercase; }